Subject: bug#19930: 25.0.50; REGRESSION: accessing minibuffer from 2nd frame for same buffer scrolls window back to point of 1st frame

From: Drew Adams <[email-masked]>
Date: Tue, 5 Jun 2018 21:51:07 -0700 (PDT)

> > > This regression was introduced in Emacs 24.3.  There is no such
> > > problem in Emacs 20 through 24.2.
> > >
> > > To reproduce:
> > >
> > > 1. runemacs.exe -Q --debug-init  -l "onetest.el" -f "1on1-emacs"
> > >    File onetest.el is attached.
> >
> > Attachment seems to be missing.  I guess this could be the same as
> > #31695?
> 
> Yes, all the signs are consistent with that one.

Yes, sorry about that.  I didn't realize that I forgot the
attachment.  I looked for the file, but I no longer have it.
But it does sound like exactly the same bug.

The only odd thing in comparing the two reports is that the
thread of #31695 says that it is NOT a problem in Emacs 23.4.1,
but bug #19930 reports that it is a problem that started with
Emacs 24.3.  But I guess I could have been mistaken about that,
and #19930 is reported from 25.0.50.1 of 2014-10-20.

I'm glad there is a second report of the same problem, and that
the cause was found.

I still see this, and it can be quite annoying.  I end up having
to delete a frame that I really want to keep open to a particular
part of the buffer, just to be able to do `grep' etc.  Or else I
need to work around it some other way.